## libtfbs-perl 0.7.1

=== Makefile ===
# This Makefile is for the TFBS extension to perl.
#
# It was generated automatically by MakeMaker version
# 6.74 (Revision: 67400) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#       ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: ()
#

#   MakeMaker Parameters:

#     BUILD_REQUIRES => {  }
#     CONFIGURE_REQUIRES => {  }
#     DISTNAME => q[TFBS]
#     NAME => q[TFBS]
#     PREREQ_PM => {  }
#     TEST_REQUIRES => {  }
#     VERSION => q[0.5.0]
#     dist => { DIST_DEFAULT=>q[all tardist], COMPRESS=>q[gzip -9f], SUFFIX=>q[.gz] }

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /System/Library/Perl/5.12/darwin-thread-multi-2level/Config.pm).
# They may have been overridden via Makefile.PL or on the command line.
AR = ar
CC = clang
CCCDLFLAGS =  
CCDLFLAGS =  
DLEXT = bundle
DLSRC = dl_dlopen.xs
EXE_EXT = 
FULL_AR = /usr/bin/ar
LD = clang -mmacosx-version-min=10.8
LDDLFLAGS = -arch i386 -arch x86_64 -bundle -undefined dynamic_lookup -L/usr/local/lib -fstack-protector
LDFLAGS = -arch i386 -arch x86_64 -fstack-protector -L/usr/local/lib
LIBC = 
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = darwin
OSVERS = 12.0
RANLIB = /usr/bin/ar s
SITELIBEXP = /Library/Perl/5.12
SITEARCHEXP = /Library/Perl/5.12/darwin-thread-multi-2level
SO = dylib
VENDORARCHEXP = /Network/Library/Perl/5.12/darwin-thread-multi-2level
VENDORLIBEXP = /Network/Library/Perl/5.12


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
DIRFILESEP = /
DFSEP = $(DIRFILESEP)
NAME = TFBS
NAME_SYM = TFBS
VERSION = 0.5.0
VERSION_MACRO = VERSION
VERSION_SYM = 0_5_0
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION = 0.5.0
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"
INST_ARCHLIB = blib/arch
INST_SCRIPT = blib/script
INST_BIN = blib/bin
INST_LIB = blib/lib
INST_MAN1DIR = blib/man1
INST_MAN3DIR = blib/man3
MAN1EXT = 1
MAN3EXT = 3pm
INSTALLDIRS = site
DESTDIR = 
PREFIX = $(SITEPREFIX)
PERLPREFIX = /
SITEPREFIX = /usr/local
VENDORPREFIX = /usr/local
INSTALLPRIVLIB = /Library/Perl/Updates/5.12.4
DESTINSTALLPRIVLIB = $(DESTDIR)$(INSTALLPRIVLIB)
INSTALLSITELIB = /Library/Perl/5.12
DESTINSTALLSITELIB = $(DESTDIR)$(INSTALLSITELIB)
INSTALLVENDORLIB = /Network/Library/Perl/5.12
DESTINSTALLVENDORLIB = $(DESTDIR)$(INSTALLVENDORLIB)
INSTALLARCHLIB = /Library/Perl/Updates/5.12.4/darwin-thread-multi-2level
DESTINSTALLARCHLIB = $(DESTDIR)$(INSTALLARCHLIB)
INSTALLSITEARCH = /Library/Perl/5.12/darwin-thread-multi-2level
DESTINSTALLSITEARCH = $(DESTDIR)$(INSTALLSITEARCH)
INSTALLVENDORARCH = /Network/Library/Perl/5.12/darwin-thread-multi-2level
DESTINSTALLVENDORARCH = $(DESTDIR)$(INSTALLVENDORARCH)
INSTALLBIN = /usr/bin
DESTINSTALLBIN = $(DESTDIR)$(INSTALLBIN)
INSTALLSITEBIN = /usr/local/bin
DESTINSTALLSITEBIN = $(DESTDIR)$(INSTALLSITEBIN)
INSTALLVENDORBIN = /usr/local/bin
DESTINSTALLVENDORBIN = $(DESTDIR)$(INSTALLVENDORBIN)
INSTALLSCRIPT = /usr/bin
DESTINSTALLSCRIPT = $(DESTDIR)$(INSTALLSCRIPT)
INSTALLSITESCRIPT = /usr/local/bin
DESTINSTALLSITESCRIPT = $(DESTDIR)$(INSTALLSITESCRIPT)
INSTALLVENDORSCRIPT = /usr/local/bin
DESTINSTALLVENDORSCRIPT = $(DESTDIR)$(INSTALLVENDORSCRIPT)
INSTALLMAN1DIR = /usr/share/man/man1
DESTINSTALLMAN1DIR = $(DESTDIR)$(INSTALLMAN1DIR)
INSTALLSITEMAN1DIR = /usr/local/share/man/man1
DESTINSTALLSITEMAN1DIR = $(DESTDIR)$(INSTALLSITEMAN1DIR)
INSTALLVENDORMAN1DIR = /usr/local/share/man/man1
DESTINSTALLVENDORMAN1DIR = $(DESTDIR)$(INSTALLVENDORMAN1DIR)
INSTALLMAN3DIR = /usr/share/man/man3
DESTINSTALLMAN3DIR = $(DESTDIR)$(INSTALLMAN3DIR)
INSTALLSITEMAN3DIR = /usr/local/share/man/man3
DESTINSTALLSITEMAN3DIR = $(DESTDIR)$(INSTALLSITEMAN3DIR)
INSTALLVENDORMAN3DIR = /usr/local/share/man/man3
DESTINSTALLVENDORMAN3DIR = $(DESTDIR)$(INSTALLVENDORMAN3DIR)
PERL_LIB = /System/Library/Perl/5.12
PERL_ARCHLIB = /System/Library/Perl/5.12/darwin-thread-multi-2level
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKEFILE_OLD = Makefile.old
MAKE_APERL_FILE = Makefile.aperl
PERLMAINCC = $(CC)
PERL_INC = /System/Library/Perl/5.12/darwin-thread-multi-2level/CORE
PERL = /usr/bin/perl
FULLPERL = /usr/bin/perl
ABSPERL = $(PERL)
PERLRUN = $(PERL)
FULLPERLRUN = $(FULLPERL)
ABSPERLRUN = $(ABSPERL)
PERLRUNINST = $(PERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
FULLPERLRUNINST = $(FULLPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
ABSPERLRUNINST = $(ABSPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
PERL_CORE = 0
PERM_DIR = 755
PERM_RW = 644
PERM_RWX = 755

MAKEMAKER   = /Library/Perl/5.12/ExtUtils/MakeMaker.pm
MM_VERSION  = 6.74
MM_REVISION = 67400

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
MAKE = make
FULLEXT = TFBS
BASEEXT = TFBS
PARENT_NAME = 
DLBASE = $(BASEEXT)
VERSION_FROM = 
OBJECT = 
LDFROM = $(OBJECT)
LINKTYPE = dynamic
BOOTDEP = 

# Handy lists of source code files:
XS_FILES = 
C_FILES  = 
O_FILES  = 
H_FILES  = 
MAN1PODS = 
MAN3PODS = TFBS/DB/FlatFileDir.pm \
	TFBS/DB/JASPAR2.pm \
	TFBS/DB/JASPAR4.pm \
	TFBS/DB/LocalTRANSFAC.pm \
	TFBS/DB/TRANSFAC.pm \
	TFBS/Matrix.pm \
	TFBS/Matrix/ICM.pm \
	TFBS/Matrix/PFM.pm \
	TFBS/Matrix/PWM.pm \
	TFBS/MatrixSet.pm \
	TFBS/PatternGen.pm \
	TFBS/PatternGen/AnnSpec.pm \
	TFBS/PatternGen/AnnSpec/Motif.pm \
	TFBS/PatternGen/Elph.pm \
	TFBS/PatternGen/Elph/Motif.pm \
	TFBS/PatternGen/Gibbs.pm \
	TFBS/PatternGen/Gibbs/Motif.pm \
	TFBS/PatternGen/MEME.pm \
	TFBS/PatternGen/MEME/Motif.pm \
	TFBS/PatternGen/SimplePFM.pm \
	TFBS/PatternGen/YMF.pm \
	TFBS/PatternGen/YMF/Motif.pm \
	TFBS/PatternI.pm \
	TFBS/Site.pm \
	TFBS/SitePair.pm \
	TFBS/SitePairSet.pm \
	TFBS/SiteSet.pm \
	TFBS/Word.pm \
	TFBS/Word/Consensus.pm

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIB)$(DFSEP)Config.pm $(PERL_INC)$(DFSEP)config.h

# Where to build things
INST_LIBDIR      = $(INST_LIB)
INST_ARCHLIBDIR  = $(INST_ARCHLIB)

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC      = 
INST_DYNAMIC     = 
INST_BOOT        = 

# Extra linker info
EXPORT_LIST        = 
PERL_ARCHIVE       = 
PERL_ARCHIVE_AFTER = 


TO_INST_PM = TFBS/DB.pm \
	TFBS/DB/FlatFileDir.pm \
	TFBS/DB/JASPAR2.pm \
	TFBS/DB/JASPAR4.pm \
	TFBS/DB/LocalTRANSFAC.pm \
	TFBS/DB/TRANSFAC.pm \
	TFBS/Matrix.pm \
	TFBS/Matrix/ICM.pm \
	TFBS/Matrix/PFM.pm \
	TFBS/Matrix/PWM.pm \
	TFBS/Matrix/_Alignment.pm \
	TFBS/MatrixSet.pm \
	TFBS/PatternGen.pm \
	TFBS/PatternGen/AnnSpec.pm \
	TFBS/PatternGen/AnnSpec/Motif.pm \
	TFBS/PatternGen/Elph.pm \
	TFBS/PatternGen/Elph/Motif.pm \
	TFBS/PatternGen/Gibbs.pm \
	TFBS/PatternGen/Gibbs/Motif.pm \
	TFBS/PatternGen/MEME.pm \
	TFBS/PatternGen/MEME/Motif.pm \
	TFBS/PatternGen/Motif/Matrix.pm \
	TFBS/PatternGen/Motif/Word.pm \
	TFBS/PatternGen/SimplePFM.pm \
	TFBS/PatternGen/YMF.pm \
	TFBS/PatternGen/YMF/Motif.pm \
	TFBS/PatternGenI.pm \
	TFBS/PatternI.pm \
	TFBS/Site.pm \
	TFBS/SitePair.pm \
	TFBS/SitePairSet.pm \
	TFBS/SiteSet.pm \
	TFBS/Tools/SetOperations.pm \
	TFBS/Word.pm \
	TFBS/Word/Consensus.pm \
	TFBS/_Iterator.pm \
	TFBS/_Iterator/_MatrixSetIterator.pm \
	TFBS/_Iterator/_SiteSetIterator.pm

PM_TO_BLIB = TFBS/PatternGen/YMF.pm \
	$(INST_LIB)/TFBS/PatternGen/YMF.pm \
	TFBS/DB/TRANSFAC.pm \
	$(INST_LIB)/TFBS/DB/TRANSFAC.pm \
	TFBS/DB.pm \
	$(INST_LIB)/TFBS/DB.pm \
	TFBS/DB/LocalTRANSFAC.pm \
	$(INST_LIB)/TFBS/DB/LocalTRANSFAC.pm \
	TFBS/PatternGen/MEME.pm \
	$(INST_LIB)/TFBS/PatternGen/MEME.pm \
	TFBS/PatternGen/Gibbs.pm \
	$(INST_LIB)/TFBS/PatternGen/Gibbs.pm \
	TFBS/PatternGen/Elph.pm \
	$(INST_LIB)/TFBS/PatternGen/Elph.pm \
	TFBS/DB/JASPAR4.pm \
	$(INST_LIB)/TFBS/DB/JASPAR4.pm \
	TFBS/PatternGenI.pm \
	$(INST_LIB)/TFBS/PatternGenI.pm \
	TFBS/Matrix/ICM.pm \
	$(INST_LIB)/TFBS/Matrix/ICM.pm \
	TFBS/PatternGen/YMF/Motif.pm \
	$(INST_LIB)/TFBS/PatternGen/YMF/Motif.pm \
	TFBS/SitePairSet.pm \
	$(INST_LIB)/TFBS/SitePairSet.pm \
	TFBS/PatternGen/Elph/Motif.pm \
	$(INST_LIB)/TFBS/PatternGen/Elph/Motif.pm \
	TFBS/Site.pm \
	$(INST_LIB)/TFBS/Site.pm \
	TFBS/_Iterator/_MatrixSetIterator.pm \
	$(INST_LIB)/TFBS/_Iterator/_MatrixSetIterator.pm \
	TFBS/Tools/SetOperations.pm \
	$(INST_LIB)/TFBS/Tools/SetOperations.pm \
	TFBS/Matrix/PFM.pm \
	$(INST_LIB)/TFBS/Matrix/PFM.pm \
	TFBS/PatternI.pm \
	$(INST_LIB)/TFBS/PatternI.pm \
	TFBS/Word/Consensus.pm \
	$(INST_LIB)/TFBS/Word/Consensus.pm \
	TFBS/PatternGen/Gibbs/Motif.pm \
	$(INST_LIB)/TFBS/PatternGen/Gibbs/Motif.pm \
	TFBS/SiteSet.pm \
	$(INST_LIB)/TFBS/SiteSet.pm \
	TFBS/Matrix/_Alignment.pm \
	$(INST_LIB)/TFBS/Matrix/_Alignment.pm \
	TFBS/PatternGen/AnnSpec.pm \
	$(INST_LIB)/TFBS/PatternGen/AnnSpec.pm \
	TFBS/PatternGen/Motif/Word.pm \
	$(INST_LIB)/TFBS/PatternGen/Motif/Word.pm \
	TFBS/SitePair.pm \
	$(INST_LIB)/TFBS/SitePair.pm \
	TFBS/_Iterator/_SiteSetIterator.pm \
	$(INST_LIB)/TFBS/_Iterator/_SiteSetIterator.pm \
	TFBS/_Iterator.pm \
	$(INST_LIB)/TFBS/_Iterator.pm \
	TFBS/PatternGen/MEME/Motif.pm \
	$(INST_LIB)/TFBS/PatternGen/MEME/Motif.pm \
	TFBS/DB/FlatFileDir.pm \
	$(INST_LIB)/TFBS/DB/FlatFileDir.pm \
	TFBS/PatternGen.pm \
	$(INST_LIB)/TFBS/PatternGen.pm \
	TFBS/MatrixSet.pm \
	$(INST_LIB)/TFBS/MatrixSet.pm \
	TFBS/PatternGen/SimplePFM.pm \
	$(INST_LIB)/TFBS/PatternGen/SimplePFM.pm \
	TFBS/Word.pm \
	$(INST_LIB)/TFBS/Word.pm \
	TFBS/DB/JASPAR2.pm \
	$(INST_LIB)/TFBS/DB/JASPAR2.pm \
	TFBS/Matrix.pm \
	$(INST_LIB)/TFBS/Matrix.pm \
	TFBS/PatternGen/AnnSpec/Motif.pm \
	$(INST_LIB)/TFBS/PatternGen/AnnSpec/Motif.pm \
	TFBS/PatternGen/Motif/Matrix.pm \
	$(INST_LIB)/TFBS/PatternGen/Motif/Matrix.pm \
	TFBS/Matrix/PWM.pm \
	$(INST_LIB)/TFBS/Matrix/PWM.pm


# --- MakeMaker platform_constants section:
MM_Unix_VERSION = 6.74
PERL_MALLOC_DEF = -DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc


# --- MakeMaker tool_autosplit section:
# Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
AUTOSPLITFILE = $(ABSPERLRUN)  -e 'use AutoSplit;  autosplit($$$$ARGV[0], $$$$ARGV[1], 0, 1, 1)' --



# --- MakeMaker tool_xsubpp section:

XSUBPPDIR = /System/Library/Perl/5.12/ExtUtils
XSUBPP = $(XSUBPPDIR)$(DFSEP)xsubpp
XSUBPPRUN = $(PERLRUN) $(XSUBPP)
XSPROTOARG = 
XSUBPPDEPS = /System/Library/Perl/5.12/ExtUtils/typemap $(XSUBPP)
XSUBPPARGS = -typemap /System/Library/Perl/5.12/ExtUtils/typemap
XSUBPP_EXTRA_ARGS =


# --- MakeMaker tools_other section:
SHELL = /bin/sh
CHMOD = chmod
CP = cp
MV = mv
NOOP = $(TRUE)
NOECHO = @
RM_F = rm -f
RM_RF = rm -rf
TEST_F = test -f
TOUCH = touch
UMASK_NULL = umask 0
DEV_NULL = > /dev/null 2>&1
MKPATH = $(ABSPERLRUN) -MExtUtils::Command -e 'mkpath' --
EQUALIZE_TIMESTAMP = $(ABSPERLRUN) -MExtUtils::Command -e 'eqtime' --
FALSE = false
TRUE = true
ECHO = echo
ECHO_N = echo -n
UNINST = 0
VERBINST = 0
MOD_INSTALL = $(ABSPERLRUN) -MExtUtils::Install -e 'install([ from_to => {@ARGV}, verbose => '\''$(VERBINST)'\'', uninstall_shadows => '\''$(UNINST)'\'', dir_mode => '\''$(PERM_DIR)'\'' ]);' --
DOC_INSTALL = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'perllocal_install' --
UNINSTALL = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'uninstall' --
WARN_IF_OLD_PACKLIST = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'warn_if_old_packlist' --
MACROSTART = 
MACROEND = 
USEMAKEFILE = -f
FIXIN = $(ABSPERLRUN) -MExtUtils::MY -e 'MY->fixin(shift)' --


# --- MakeMaker makemakerdflt section:
makemakerdflt : all
	$(NOECHO) $(NOOP)


# --- MakeMaker dist section:
TAR = COPY_EXTENDED_ATTRIBUTES_DISABLE=1 COPYFILE_DISABLE=1 tar
TARFLAGS = cvf
ZIP = zip
ZIPFLAGS = -r
COMPRESS = gzip -9f
SUFFIX = .gz
SHAR = shar
PREOP = $(NOECHO) $(NOOP)
POSTOP = $(NOECHO) $(NOOP)
TO_UNIX = $(NOECHO) $(NOOP)
CI = ci -u
RCS_LABEL = rcs -Nv$(VERSION_SYM): -q
DIST_CP = best
DIST_DEFAULT = all tardist
DISTNAME = TFBS
DISTVNAME = TFBS-0.5.0


# --- MakeMaker macro section:

## libtfbs-perl 0.6.0+dfsg

=== debian/changelog ===
libtfbs-perl (0.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * debian/rules: Clean up from get-orig-source since there is a real
    release
  * debian/copyright: Exclude several files which are either cruft adding
    useless bytes to the archive and on the other hand making the build
    quite complex (Makefile with broken clean target which deletes itself
    afterwards anyway) all those files are deleted

 -- Andreas Tille <tille@debian.org>  Tue, 14 Jan 2014 14:53:42 +0100

libtfbs-perl (0.5.svn.20100421-2) unstable; urgency=low

  * debian/upstream:
     - Single Reference field instead of Reference-*
     - s/authors/author/
  * debian/source/format: 3.0 (quilt) 
  * debian/control:
     - cme fix dpkg-control
     - debhelper 9
     - canonical Vcs fields
  * debian/copyright: DEP5
  * debian/rules: hardening options
  * debian/patches/hardening.patch: Enable building with -Wformat-security

 -- Andreas Tille <tille@debian.org>  Sat, 16 Nov 2013 22:02:13 +0100

libtfbs-perl (0.5.svn.20100421-1) unstable; urgency=low

  * New upstream SVN snapshot fixing issue related to new naming conventions.
  * Arranged the get-orig-source target of debian/rules to pick the date
    of the last upstream commit.
  * Corrected Vcs fields in debian/control. 
  * Conforms with Policy 3.9.2:
    - Incremented Standards-Version in debian/control.
    - Mention GPL version 1 in debian/copyright.
  * Switch to Debhelper 8 and dh rules.
  * Converted debian/copyright to DEP-5 format.

 -- Charles Plessy <plessy@debian.org>  Thu, 25 Aug 2011 13:10:21 +0900

libtfbs-perl (0.5.svn.20091128-1) unstable; urgency=low

  * New upstream SVN snapshot, adding JASPAR5 support.
  * Skip test that needs a network connection unless in maintainer mode.
     (debian/rules). Thanks to Gregor Herrmann (Closes: #533995).
  * Updated to Policy 3.8.3:
    - Incremented Standards-Version (debian/control)
    - Dropped version in build dependency on Perl (debian/control).
    - Honor the ‘nocheck’ build option (debian/rules).
  * Documented how this package is tested in debian/README.Debian.
  * Added meta-information in debian/upstream-metadata.yaml.
  * Refreshed debian/copyright to latest experimentations on the format.
  * Debhelper 7: use dh_prep and dh binary-arch in debian/rules.

 -- Charles Plessy <plessy@debian.org>  Sat, 28 Nov 2009 14:14:36 +0900

libtfbs-perl (0.5.svn.20080722-2) unstable; urgency=low

  * debian/control:
    - Added bioperl to the build dependencies (Closes: #493341).
    - Dropped quilt build dependency (see below).
    - Added myself to the Uploaders field.
    - Added `libgd-gd2-perl | libgd-gd2-noxpm-perl' as recommended package.
  * debian/compat, debian/control:
    - Using debhelper 7.
  * debian/rules:
    - Refreshed with `dh-make-perl --refresh'.
    - Removes /usr/lib/perl5/pwm_searchPFF.c and /usr/lib/perl5/pwm_search.h,
      that should not be installed there.
  * debian/patches, debian/rules:
    - Disabling the MySQL tests with `echo "n" |' instead of patches.
  * debian/copyright:
    - Converted to machine-readable format.
    - Added myself to the Hall of Fame.

 -- Charles Plessy <plessy@debian.org>  Mon, 11 Aug 2008 13:27:45 +0900

libtfbs-perl (0.5.svn.20080722-1) unstable; urgency=low

  * Initial release (closes: #491714).

 -- Steffen Moeller <moeller@debian.org>  Tue, 22 Jul 2008 00:07:17 +0200

=== debian/control ===
Source: libtfbs-perl
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: perl
Priority: optional
Build-Depends: debhelper (>= 9),
               perl,
               pdl,
               bioperl,
               libwww-perl,
               libdbi-perl
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/libtfbs-perl/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/libtfbs-perl/trunk/
Homepage: http://tfbs.genereg.net

Package: libtfbs-perl
Architecture: any
Depends: ${perl:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         pdl,
         bioperl,
         libwww-perl,
         libdbi-perl
Recommends: libgd-gd2-perl | libgd-gd2-noxpm-perl
Description: scanning DNA sequence with a position weight matrix
 The TFBS perl modules comprise a set of routines to interact with the
 Transfac and Jaspar databases that describe a special family of proteins,
 the transcription factors. These bind to genomic DNA to initiate (or
 prevent) the readout of a gene.  Once multiple binding sites are known
 for a transcription factor, these are gathered in a single file and are
 aligned in order to find position-specific characteristica that might
 be used to predict such binding events in novel DNA sequences.
 .
 If you use TFBS in your work, please cite "Lenhard B., Wasserman W.W. (2002)
 TFBS: Computational framework for transcription factor binding site analysis.
 Bioinformatics 18:1135-1136".

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	echo "n" | perl Makefile.PL INSTALLDIRS=vendor
	$(MAKE) OPTIMIZE="$(CFLAGS)" LD_RUN_PATH="" OTHERLDFLAGS="$(LDFLAGS)"

# Do not run network test unless in maintainer mode.
ifneq (1,$(DEB_MAINTAINER_MODE))
TEST_FILES := $(filter-out t/04_DB_TRANSFAC.t,$(shell echo t/*.t))
else
TEST_FILES := $(shell echo t/*.t)
endif

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	prove --blib $(TEST_FILES) Ext/t/*.t
endif

=== debian/watch ===
version=3
opts=dversionmangle=s/(\+dfsg)// \
http://tfbs.genereg.net/TFBS-(.*)\.tar\.gz

## libtfbs-perl 0.6.1+dfsg

=== debian/changelog ===
libtfbs-perl (0.6.1+dfsg-1build1) utopic; urgency=medium

  * No change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Aug 2014 10:00:42 +0200

libtfbs-perl (0.6.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Moved debian/upstream to debian/upstream/metadata
  * Add get-orig-source target with proper uscan call
  * debian/watch: use uversionmangle to get properly named tarball
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Wed, 23 Jul 2014 14:39:16 +0200

=== debian/watch ===
version=3
opts=uversionmangle=s/$/+dfsg/ \
http://tfbs.genereg.net/TFBS-(.*)\.tar\.gz

## libtfbs-perl 0.7.0+dfsg

=== debian/changelog ===
libtfbs-perl (0.7.0+dfsg-4) unstable; urgency=medium

  * d/watch: version=4
  * debhelper 10

 -- Andreas Tille <tille@debian.org>  Sat, 17 Dec 2016 21:57:24 +0100

libtfbs-perl (0.7.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * add tests (except smoke tests - since debian/tests/run-unit-tests does the
    same thing as they do) from autopkgtest-pkg-perl to debian/tests/control.
    For more details see this page (and link to default-tests-control file):
    https://pkg-perl.alioth.debian.org/autopkgtest.html#implementation

 -- Tatiana Malygina <merlettaia@gmail.com>  Sat, 16 Jul 2016 08:00:43 +0300

libtfbs-perl (0.7.0+dfsg-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * NMU Closes: #827499

 -- Andreas Tille <tille@debian.org>  Tue, 12 Jul 2016 10:08:02 +0200

libtfbs-perl (0.7.0+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use dh_pdl to set versioned pdl dependency via ${pdl:Depends}.
  * Update Vcs-Browser URL to use HTTPS.
  * Update watch file to handle common issues.
  * Enable all hardening buildflags, except PIE (causes build failure).
  * Bump Standards-Version to 3.9.8, no changes.
  * Add patch to fix spelling errors.
  * Require at least pdl 2.016 for pdl transition.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 24 Jun 2016 13:42:08 +0200

libtfbs-perl (0.7.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * fixed watch file

 -- Andreas Tille <tille@debian.org>  Sun, 08 Nov 2015 19:16:14 +0100

=== debian/control ===
--- 
+++ 
@@ -4,24 +4,25 @@
            Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: perl
+Testsuite: autopkgtest
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                perl,
-               pdl,
+               pdl (>= 1:2.016),
                bioperl,
                libwww-perl,
                libdbi-perl
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/libtfbs-perl/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/libtfbs-perl/trunk/
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libtfbs-perl.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/libtfbs-perl.git
 Homepage: http://tfbs.genereg.net
 
 Package: libtfbs-perl
 Architecture: any
 Depends: ${perl:Depends},
+         ${pdl:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
-         pdl,
          bioperl,
          libwww-perl,
          libdbi-perl

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,11 @@
 #!/usr/bin/make -f
+
+# Enable hardening build flags
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+
+CFLAGS += $(CPPFLAGS)
+
+DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
 
 %:
 	dh $@
@@ -19,3 +26,14 @@
 	prove --blib $(TEST_FILES) Ext/t/*.t
 endif
 
+override_dh_installexamples:
+	dh_installexamples
+	mkdir -p debian/$(DEBPKGNAME)/usr/share/doc/$(DEBPKGNAME)/examples/Ext
+	cp -a Ext/t debian/$(DEBPKGNAME)/usr/share/doc/$(DEBPKGNAME)/examples/Ext
+
+override_dh_perl:
+	dh_perl
+	dh_pdl
+
+get-orig-source:
+	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
repacksuffix=+dfsg \
http://tfbs.genereg.net/ \
(?:.*?/)?(?:TFBS|v)?[\-\_]?(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## libtfbs-perl 0.7.1

=== debian/changelog ===
libtfbs-perl (0.7.1-2) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Remove redundant get-orig-source target
  * Fix permissions
  * Drop obsolete needs-recommends from debian/tests/control and add
    recommended libgd-gd2-perl to Depends
  * Drop unneeded Testsuite: autopkgtest
  * Fix perl interpreter path
  * Do not parse d/changelog

 -- Andreas Tille <tille@debian.org>  Tue, 16 Oct 2018 20:43:31 +0200

libtfbs-perl (0.7.1-1) unstable; urgency=medium

  * New upstream version 0.7.1
  * d/copyright, d/watch: Stop repacking upstream sources.
  * d/control:
    - Add upstream's notice of deprecation to the package's description.
    - Remove cruft Makefiles at build time.
    - Conforms to Policy version 4.1.1.

 -- Charles Plessy <plessy@debian.org>  Sat, 21 Oct 2017 11:41:55 +0900

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,16 @@
            Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: perl
-Testsuite: autopkgtest
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                perl,
                pdl (>= 1:2.016),
                bioperl,
                libwww-perl,
                libdbi-perl
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libtfbs-perl.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/libtfbs-perl.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/med-team/libtfbs-perl
+Vcs-Git: https://salsa.debian.org/med-team/libtfbs-perl.git
 Homepage: http://tfbs.genereg.net
 
 Package: libtfbs-perl
@@ -39,3 +38,7 @@
  If you use TFBS in your work, please cite "Lenhard B., Wasserman W.W. (2002)
  TFBS: Computational framework for transcription factor binding site analysis.
  Bioinformatics 18:1135-1136".
+ .
+ Note: the TFBS perl module is no longer under active development.  All the
+ functionality can be found in the TFBSTools Bioconductor package; users are
+ highly encouraged to switch.  <http://bioconductor.org/packages/TFBSTools/>

=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,13 @@
 
 CFLAGS += $(CPPFLAGS)
 
-DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
+include /usr/share/dpkg/default.mk
 
 %:
 	dh $@
+
+override_dh_auto_clean:
+	rm --force Makefile Makefile.old
 
 override_dh_auto_configure:
 	echo "n" | perl Makefile.PL INSTALLDIRS=vendor
@@ -28,12 +31,16 @@
 
 override_dh_installexamples:
 	dh_installexamples
-	mkdir -p debian/$(DEBPKGNAME)/usr/share/doc/$(DEBPKGNAME)/examples/Ext
-	cp -a Ext/t debian/$(DEBPKGNAME)/usr/share/doc/$(DEBPKGNAME)/examples/Ext
+	mkdir -p debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/examples/Ext
+	cp -a Ext/t debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/examples/Ext
+	for pl in `grep -Rl '#!/usr/bin/env[[:space:]]\+perl' debian/*/usr/*` ; do \
+	    sed -i '1s?^#!/usr/bin/env[[:space:]]\+perl?#!/usr/bin/perl?' $${pl} ; \
+	done
 
 override_dh_perl:
 	dh_perl
 	dh_pdl
 
-get-orig-source:
-	uscan --verbose --force-download --repack --compress xz
+override_dh_fixperms:
+	dh_fixperms
+	find debian -name pwmsearch.bundle -exec chmod -x \{\} \;

=== debian/tests/control ===
Tests: run-unit-test
Depends: @
Restrictions: allow-stderr

Test-Command: /usr/share/pkg-perl-autopkgtest/runner runtime-deps
Depends: @, pkg-perl-autopkgtest

Test-Command: /usr/share/pkg-perl-autopkgtest/runner runtime-deps-and-recommends
Depends: @, pkg-perl-autopkgtest, libgd-gd2-perl

Test-Command: /usr/share/pkg-perl-autopkgtest/runner heavy-deps
Depends: @, pkg-perl-autopkgtest, pkg-perl-autopkgtest-heavy

## libtfbs-perl 0.7.1+ds

=== Ext/Makefile ===
# This Makefile is for the TFBS::Ext::pwmsearch extension to perl.
#
# It was generated automatically by MakeMaker version
# 6.74 (Revision: 67400) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#       ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: ()
#

#   MakeMaker Parameters:

#     BUILD_REQUIRES => {  }
#     CONFIGURE_REQUIRES => {  }
#     DEFINE => q[]
#     INC => q[-I. -I./lib]
#     LIBS => [q[-lm]]
#     NAME => q[TFBS::Ext::pwmsearch]
#     PREREQ_PM => {  }
#     TEST_REQUIRES => {  }
#     VERSION_FROM => q[pwmsearch.pm]

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /System/Library/Perl/5.12/darwin-thread-multi-2level/Config.pm).
# They may have been overridden via Makefile.PL or on the command line.
AR = ar
CC = clang
CCCDLFLAGS =  
CCDLFLAGS =  
DLEXT = bundle
DLSRC = dl_dlopen.xs
EXE_EXT = 
FULL_AR = /usr/bin/ar
LD = clang -mmacosx-version-min=10.8
LDDLFLAGS = -arch i386 -arch x86_64 -bundle -undefined dynamic_lookup -L/usr/local/lib -fstack-protector
LDFLAGS = -arch i386 -arch x86_64 -fstack-protector -L/usr/local/lib
LIBC = 
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = darwin
OSVERS = 12.0
RANLIB = /usr/bin/ar s
SITELIBEXP = /Library/Perl/5.12
SITEARCHEXP = /Library/Perl/5.12/darwin-thread-multi-2level
SO = dylib
VENDORARCHEXP = /Network/Library/Perl/5.12/darwin-thread-multi-2level
VENDORLIBEXP = /Network/Library/Perl/5.12


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
DIRFILESEP = /
DFSEP = $(DIRFILESEP)
NAME = TFBS::Ext::pwmsearch
NAME_SYM = TFBS_Ext_pwmsearch
VERSION = 0.2
VERSION_MACRO = VERSION
VERSION_SYM = 0_2
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION = 0.2
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"
INST_ARCHLIB = ../blib/arch
INST_SCRIPT = ../blib/script
INST_BIN = ../blib/bin
INST_LIB = ../blib/lib
INST_MAN1DIR = ../blib/man1
INST_MAN3DIR = ../blib/man3
MAN1EXT = 1
MAN3EXT = 3pm
INSTALLDIRS = site
DESTDIR = 
PREFIX = $(SITEPREFIX)
PERLPREFIX = /
SITEPREFIX = /usr/local
VENDORPREFIX = /usr/local
INSTALLPRIVLIB = /Library/Perl/Updates/5.12.4
DESTINSTALLPRIVLIB = $(DESTDIR)$(INSTALLPRIVLIB)
INSTALLSITELIB = /Library/Perl/5.12
DESTINSTALLSITELIB = $(DESTDIR)$(INSTALLSITELIB)
INSTALLVENDORLIB = /Network/Library/Perl/5.12
DESTINSTALLVENDORLIB = $(DESTDIR)$(INSTALLVENDORLIB)
INSTALLARCHLIB = /Library/Perl/Updates/5.12.4/darwin-thread-multi-2level
DESTINSTALLARCHLIB = $(DESTDIR)$(INSTALLARCHLIB)
INSTALLSITEARCH = /Library/Perl/5.12/darwin-thread-multi-2level
DESTINSTALLSITEARCH = $(DESTDIR)$(INSTALLSITEARCH)
INSTALLVENDORARCH = /Network/Library/Perl/5.12/darwin-thread-multi-2level
DESTINSTALLVENDORARCH = $(DESTDIR)$(INSTALLVENDORARCH)
INSTALLBIN = /usr/bin
DESTINSTALLBIN = $(DESTDIR)$(INSTALLBIN)
INSTALLSITEBIN = /usr/local/bin
DESTINSTALLSITEBIN = $(DESTDIR)$(INSTALLSITEBIN)
INSTALLVENDORBIN = /usr/local/bin
DESTINSTALLVENDORBIN = $(DESTDIR)$(INSTALLVENDORBIN)
INSTALLSCRIPT = /usr/bin
DESTINSTALLSCRIPT = $(DESTDIR)$(INSTALLSCRIPT)
INSTALLSITESCRIPT = /usr/local/bin
DESTINSTALLSITESCRIPT = $(DESTDIR)$(INSTALLSITESCRIPT)
INSTALLVENDORSCRIPT = /usr/local/bin
DESTINSTALLVENDORSCRIPT = $(DESTDIR)$(INSTALLVENDORSCRIPT)
INSTALLMAN1DIR = /usr/share/man/man1
DESTINSTALLMAN1DIR = $(DESTDIR)$(INSTALLMAN1DIR)
INSTALLSITEMAN1DIR = /usr/local/share/man/man1
DESTINSTALLSITEMAN1DIR = $(DESTDIR)$(INSTALLSITEMAN1DIR)
INSTALLVENDORMAN1DIR = /usr/local/share/man/man1
DESTINSTALLVENDORMAN1DIR = $(DESTDIR)$(INSTALLVENDORMAN1DIR)
INSTALLMAN3DIR = /usr/share/man/man3
DESTINSTALLMAN3DIR = $(DESTDIR)$(INSTALLMAN3DIR)
INSTALLSITEMAN3DIR = /usr/local/share/man/man3
DESTINSTALLSITEMAN3DIR = $(DESTDIR)$(INSTALLSITEMAN3DIR)
INSTALLVENDORMAN3DIR = /usr/local/share/man/man3
DESTINSTALLVENDORMAN3DIR = $(DESTDIR)$(INSTALLVENDORMAN3DIR)
PERL_LIB = /System/Library/Perl/5.12
PERL_ARCHLIB = /System/Library/Perl/5.12/darwin-thread-multi-2level
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKEFILE_OLD = Makefile.old
MAKE_APERL_FILE = Makefile.aperl
PERLMAINCC = $(CC)
PERL_INC = /System/Library/Perl/5.12/darwin-thread-multi-2level/CORE
PERL = /usr/bin/perl
FULLPERL = /usr/bin/perl
ABSPERL = $(PERL)
PERLRUN = $(PERL)
FULLPERLRUN = $(FULLPERL)
ABSPERLRUN = $(ABSPERL)
PERLRUNINST = $(PERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
FULLPERLRUNINST = $(FULLPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
ABSPERLRUNINST = $(ABSPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
PERL_CORE = 0
PERM_DIR = 755
PERM_RW = 644
PERM_RWX = 755

MAKEMAKER   = /Library/Perl/5.12/ExtUtils/MakeMaker.pm
MM_VERSION  = 6.74
MM_REVISION = 67400

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
MAKE = make
FULLEXT = TFBS/Ext/pwmsearch
BASEEXT = pwmsearch
PARENT_NAME = TFBS::Ext
DLBASE = $(BASEEXT)
VERSION_FROM = pwmsearch.pm
INC = -I. -I./lib
DEFINE = 
OBJECT = $(BASEEXT)$(OBJ_EXT)
LDFROM = $(OBJECT)
LINKTYPE = dynamic
BOOTDEP = 

# Handy lists of source code files:
XS_FILES = pwmsearch.xs
C_FILES  = pwmsearch.c
O_FILES  = pwmsearch.o
H_FILES  = 
MAN1PODS = 
MAN3PODS = pwmsearch.pm

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIB)$(DFSEP)Config.pm $(PERL_INC)$(DFSEP)config.h

# Where to build things
INST_LIBDIR      = $(INST_LIB)/TFBS/Ext
INST_ARCHLIBDIR  = $(INST_ARCHLIB)/TFBS/Ext

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC      = $(INST_ARCHAUTODIR)/$(BASEEXT)$(LIB_EXT)
INST_DYNAMIC     = $(INST_ARCHAUTODIR)/$(DLBASE).$(DLEXT)
INST_BOOT        = $(INST_ARCHAUTODIR)/$(BASEEXT).bs

# Extra linker info
EXPORT_LIST        = 
PERL_ARCHIVE       = 
PERL_ARCHIVE_AFTER = 


TO_INST_PM = lib/pwm_search.h \
	lib/pwm_searchPFF.c \
	pwmsearch.pm

PM_TO_BLIB = pwmsearch.pm \
	$(INST_LIB)/TFBS/Ext/pwmsearch.pm \
	lib/pwm_search.h \
	../blib/lib/pwm_search.h \
	lib/pwm_searchPFF.c \
	../blib/lib/pwm_searchPFF.c


# --- MakeMaker platform_constants section:
MM_Unix_VERSION = 6.74
PERL_MALLOC_DEF = -DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc


# --- MakeMaker tool_autosplit section:
# Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
AUTOSPLITFILE = $(ABSPERLRUN)  -e 'use AutoSplit;  autosplit($$$$ARGV[0], $$$$ARGV[1], 0, 1, 1)' --



# --- MakeMaker tool_xsubpp section:

XSUBPPDIR = /System/Library/Perl/5.12/ExtUtils
XSUBPP = $(XSUBPPDIR)$(DFSEP)xsubpp
XSUBPPRUN = $(PERLRUN) $(XSUBPP)
XSPROTOARG = 
XSUBPPDEPS = /System/Library/Perl/5.12/ExtUtils/typemap $(XSUBPP)
XSUBPPARGS = -typemap /System/Library/Perl/5.12/ExtUtils/typemap
XSUBPP_EXTRA_ARGS =


# --- MakeMaker tools_other section:
SHELL = /bin/sh
CHMOD = chmod
CP = cp
MV = mv
NOOP = $(TRUE)
NOECHO = @
RM_F = rm -f
RM_RF = rm -rf
TEST_F = test -f
TOUCH = touch
UMASK_NULL = umask 0
DEV_NULL = > /dev/null 2>&1
MKPATH = $(ABSPERLRUN) -MExtUtils::Command -e 'mkpath' --
EQUALIZE_TIMESTAMP = $(ABSPERLRUN) -MExtUtils::Command -e 'eqtime' --
FALSE = false
TRUE = true
ECHO = echo
ECHO_N = echo -n
UNINST = 0
VERBINST = 0
MOD_INSTALL = $(ABSPERLRUN) -MExtUtils::Install -e 'install([ from_to => {@ARGV}, verbose => '\''$(VERBINST)'\'', uninstall_shadows => '\''$(UNINST)'\'', dir_mode => '\''$(PERM_DIR)'\'' ]);' --
DOC_INSTALL = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'perllocal_install' --
UNINSTALL = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'uninstall' --
WARN_IF_OLD_PACKLIST = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'warn_if_old_packlist' --
MACROSTART = 
MACROEND = 
USEMAKEFILE = -f
FIXIN = $(ABSPERLRUN) -MExtUtils::MY -e 'MY->fixin(shift)' --


# --- MakeMaker makemakerdflt section:
makemakerdflt : all
	$(NOECHO) $(NOOP)


# --- MakeMaker dist section skipped.

# --- MakeMaker macro section:


# --- MakeMaker depend section:


# --- MakeMaker cflags section:

CCFLAGS = -arch i386 -arch x86_64 -g -pipe -fno-common -DPERL_DARWIN -fno-strict-aliasing -fstack-protector -I/usr/local/include
OPTIMIZE = -Os
PERLTYPE = 
MPOLLUTE = 


# --- MakeMaker const_loadlibs section:

# TFBS::Ext::pwmsearch might depend on some other libraries:
# See ExtUtils::Liblist for details
#
EXTRALIBS = 
LDLOADLIBS = -lm
BSLOADLIBS = 


# --- MakeMaker const_cccmd section:
CCCMD = $(CC) -c $(PASTHRU_INC) $(INC) \
	$(CCFLAGS) $(OPTIMIZE) \
	$(PERLTYPE) $(MPOLLUTE) $(DEFINE_VERSION) \
	$(XS_DEFINE_VERSION)

# --- MakeMaker post_constants section:


# --- MakeMaker pasthru section:

PASTHRU = LIBPERL_A="$(LIBPERL_A)"\
	LINKTYPE="$(LINKTYPE)"\
	OPTIMIZE="$(OPTIMIZE)"\
	PREFIX="$(PREFIX)"\
	PASTHRU_DEFINE="$(PASTHRU_DEFINE)"\
	PASTHRU_INC="$(PASTHRU_INC)"


# --- MakeMaker special_targets section:
.SUFFIXES : .xs .c .C .cpp .i .s .cxx .cc $(OBJ_EXT)

.PHONY: all config static dynamic test linkext manifest blibdirs clean realclean disttest distdir



# --- MakeMaker c_o section:

.c.i:
	clang -E -c $(PASTHRU_INC) $(INC) \
	$(CCFLAGS) $(OPTIMIZE) \
	$(PERLTYPE) $(MPOLLUTE) $(DEFINE_VERSION) \
	$(XS_DEFINE_VERSION) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c > $*.i

.c.s:
	$(CCCMD) -S $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c

.c$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c

.cpp$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.cpp

.cxx$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.cxx

.cc$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.cc

.C$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.C


# --- MakeMaker xs_c section:

.xs.c:
	$(XSUBPPRUN) $(XSPROTOARG) $(XSUBPPARGS) $(XSUBPP_EXTRA_ARGS) $*.xs > $*.xsc && $(MV) $*.xsc $*.c


# --- MakeMaker xs_o section:

.xs$(OBJ_EXT):
	$(XSUBPPRUN) $(XSPROTOARG) $(XSUBPPARGS) $*.xs > $*.xsc && $(MV) $*.xsc $*.c
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c


# --- MakeMaker top_targets section:
all :: pure_all manifypods
	$(NOECHO) $(NOOP)


pure_all :: config pm_to_blib subdirs linkext
	$(NOECHO) $(NOOP)

subdirs :: $(MYEXTLIB)
	$(NOECHO) $(NOOP)

config :: $(FIRST_MAKEFILE) blibdirs
	$(NOECHO) $(NOOP)

help :
	perldoc ExtUtils::MakeMaker


# --- MakeMaker blibdirs section:
blibdirs : $(INST_LIBDIR)$(DFSEP).exists $(INST_ARCHLIB)$(DFSEP).exists $(INST_AUTODIR)$(DFSEP).exists $(INST_ARCHAUTODIR)$(DFSEP).exists $(INST_BIN)$(DFSEP).exists $(INST_SCRIPT)$(DFSEP).exists $(INST_MAN1DIR)$(DFSEP).exists $(INST_MAN3DIR)$(DFSEP).exists
	$(NOECHO) $(NOOP)

# Backwards compat with 6.18 through 6.25
blibdirs.ts : blibdirs
	$(NOECHO) $(NOOP)

$(INST_LIBDIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_LIBDIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_LIBDIR)
	$(NOECHO) $(TOUCH) $(INST_LIBDIR)$(DFSEP).exists

$(INST_ARCHLIB)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_ARCHLIB)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_ARCHLIB)
	$(NOECHO) $(TOUCH) $(INST_ARCHLIB)$(DFSEP).exists

$(INST_AUTODIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_AUTODIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_AUTODIR)
	$(NOECHO) $(TOUCH) $(INST_AUTODIR)$(DFSEP).exists

$(INST_ARCHAUTODIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_ARCHAUTODIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_ARCHAUTODIR)
	$(NOECHO) $(TOUCH) $(INST_ARCHAUTODIR)$(DFSEP).exists

$(INST_BIN)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_BIN)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_BIN)
	$(NOECHO) $(TOUCH) $(INST_BIN)$(DFSEP).exists

$(INST_SCRIPT)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_SCRIPT)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_SCRIPT)
	$(NOECHO) $(TOUCH) $(INST_SCRIPT)$(DFSEP).exists

$(INST_MAN1DIR)$(DFSEP).exists :: Makefile.PL

=== debian/changelog ===
libtfbs-perl (0.7.1+ds-5) unstable; urgency=medium

  * Team upload.
  * gcc-15.patch: new: fix ftbfs with gcc-15. (Closes: #1097278)
  * d/control: approach cross-buildability.
    This change introduces perl-xs-dev and libcrypt-dev to build
    dependencies, the latter being needed soon once out of the essential
    set.  In addition, some <!nocheck> filtering is implemented and the
    perl interpreter is requested for the native architecture.
    Thanks to Helmut Grohne (Closes: #1102835)
  * d/control: declare compliance to standards version 4.7.2.
  * d/watch: move to format version 5.
  * d/salsa-ci.yml: new: configure CI.

 -- Étienne Mollier <emollier@debian.org>  Thu, 11 Sep 2025 22:40:14 +0200

libtfbs-perl (0.7.1+ds-4) unstable; urgency=medium

  * Team upload.
  * d/control: declare compliance to standards version 4.7.0.
  * Rename gcc-14.patch to dpkg-1.22.6.patch.
    The issue addressed by gcc-14.patch originally resulted from a change
    in dpkg 1.22.6 in options passed to gcc.
  * gcc-14.patch: new: fix build failure with gcc 14.
    Build failures were caused by functions implicitly declared as
    returning an integer type. (Closes: #1075213)

 -- Étienne Mollier <emollier@debian.org>  Wed, 10 Jul 2024 17:29:17 +0200

libtfbs-perl (0.7.1+ds-3) unstable; urgency=medium

  * Team upload.
  * Bump debhelper compat to 13.
  * Use dh-sequence-pdl for dh_pdl.
  * Update lintian overrides.
  * Bump Standards-Version to 4.6.2, no changes.
  * Add Rules-Requires-Root to control file.
  * Add patch to fix FTBFS with GCC 14.
    (closes: #1066716)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Mar 2024 18:33:49 +0100

libtfbs-perl (0.7.1+ds-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with PDL 2.070.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 30 Jan 2022 08:03:13 +0100

libtfbs-perl (0.7.1+ds-1) unstable; urgency=medium

  * Team upload.

  [ Steffen Moeller ]
  * d/u/metadata: yamllint

  [ Bas Couwenberg ]
  * Rebuild with PDL 2.061.
  * Add gbp.conf to use pristine-tar & --source-only-changes by default.
  * Bump Standards-Version to 4.6.0, no changes.
  * Use AUTOPKGTEST_TMP instead of deprecated ADTTMP variable.
  * Update upstream metadata for GitHub repository.
  * Update spelling errors path.
  * Enable PIE hardening flags too.
  * Don't override dh_auto_configure.
  * Update lintian overrides.
  * Don't remove Makefile{,.old} in dh_auto_clean override.
  * Repack upstream tarball to exclude Makefile{,.old}.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 13 Nov 2021 11:59:50 +0100

libtfbs-perl (0.7.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change rebuild with PDL 2.0.57.
    (closes: #993427)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 05 Sep 2021 07:29:33 +0200

libtfbs-perl (0.7.1-3) unstable; urgency=medium

  [ Xavier Guimard ]
  * Fix autopkgtest control for autodep8+pkg-perl-autopkgtest transition
    Closes: #940674

  [ Andreas Tille ]
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Remove trailing whitespace in debian/changelog
  * Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- Andreas Tille <tille@debian.org>  Thu, 19 Sep 2019 17:34:02 +0200

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,20 @@
            Andreas Tille <tille@debian.org>
 Section: perl
 Priority: optional
-Build-Depends: debhelper (>= 11~),
-               perl,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-pdl,
+               perl:native,
+               perl-xs-dev,
                pdl (>= 1:2.016),
+               libcrypt-dev,
                bioperl,
-               libwww-perl,
-               libdbi-perl
-Standards-Version: 4.2.1
+               libwww-perl <!nocheck>,
+               libdbi-perl <!nocheck>
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/libtfbs-perl
 Vcs-Git: https://salsa.debian.org/med-team/libtfbs-perl.git
 Homepage: http://tfbs.genereg.net
+Rules-Requires-Root: no
 
 Package: libtfbs-perl
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,21 +1,14 @@
 #!/usr/bin/make -f
 
 # Enable hardening build flags
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
-CFLAGS += $(CPPFLAGS)
+export HAVE_MYSQL=n
 
 include /usr/share/dpkg/default.mk
 
 %:
 	dh $@
-
-override_dh_auto_clean:
-	rm --force Makefile Makefile.old
-
-override_dh_auto_configure:
-	echo "n" | perl Makefile.PL INSTALLDIRS=vendor
-	$(MAKE) OPTIMIZE="$(CFLAGS)" LD_RUN_PATH="" OTHERLDFLAGS="$(LDFLAGS)"
 
 # Do not run network test unless in maintainer mode.
 ifneq (1,$(DEB_MAINTAINER_MODE))
@@ -37,10 +30,6 @@
 	    sed -i '1s?^#!/usr/bin/env[[:space:]]\+perl?#!/usr/bin/perl?' $${pl} ; \
 	done
 
-override_dh_perl:
-	dh_perl
-	dh_pdl
-
 override_dh_fixperms:
 	dh_fixperms
 	find debian -name pwmsearch.bundle -exec chmod -x \{\} \;

=== debian/tests/control ===
Tests: run-unit-test
Depends: @
Restrictions: allow-stderr, skippable

Test-Command: /usr/share/pkg-perl-autopkgtest/runner runtime-deps
Depends: @, pkg-perl-autopkgtest
Restrictions: skippable, superficial

Test-Command: /usr/share/pkg-perl-autopkgtest/runner runtime-deps-and-recommends
Depends: @, pkg-perl-autopkgtest, libgd-gd2-perl
Restrictions: skippable, superficial

Test-Command: /usr/share/pkg-perl-autopkgtest/runner heavy-deps
Depends: @, pkg-perl-autopkgtest, pkg-perl-autopkgtest-heavy
Restrictions: skippable, superficial

=== debian/watch ===
Version: 5

Source: http://tfbs.genereg.net/
Matching-Pattern: (?:.*?/)?(?:TFBS|v)?[\-\_]?(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
Dversionmangle: s/\+(debian|dfsg|ds|deb)\d*$//
Repacksuffix: +ds
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/
